## LatexilaBuildToolsPersonal LatexilaBuildToolsPersonal — Personal build tools |

## Functions

LatexilaBuildToolsPersonal * | latexila_build_tools_personal_get_instance ()
void | latexila_build_tools_personal_save ()
void | latexila_build_tools_personal_move_up ()
void | latexila_build_tools_personal_move_down ()
void | latexila_build_tools_personal_delete ()
void | latexila_build_tools_personal_add ()
void | latexila_build_tools_personal_insert ()
void | latexila_build_tools_personal_replace ()

## Types and Values

| LatexilaBuildToolsPersonal

## Object Hierarchy

        GObject
        ╰── LatexilaBuildTools
            ╰── LatexilaBuildToolsPersonal

## Includes

    #include <latexila.h>

## Description

The LatexilaBuildToolsPersonal singleton class represents the personal build tools. The personal build tools can be entirely modified. The XML file can be saved with `latexila_build_tools_personal_save()`.

## Functions

### latexila_build_tools_personal_get_instance ()

    LatexilaBuildToolsPersonal *
    latexila_build_tools_personal_get_instance
                                   (void);

Gets the instance of the LatexilaBuildToolsPersonal singleton.

#### Returns

the instance of LatexilaBuildToolsPersonal.

[transfer none]

### latexila_build_tools_personal_save ()

    void
    latexila_build_tools_personal_save (LatexilaBuildToolsPersonal *build_tools);

Saves asynchronously the personal build tools into the XML file.

#### Parameters

build_tools | the LatexilaBuildToolsPersonal instance. |

### latexila_build_tools_personal_move_up ()

    void
    latexila_build_tools_personal_move_up (LatexilaBuildToolsPersonal *build_tools,
                                           guint tool_num);

Move a build tool up. The first build tool is at the top.

#### Parameters

build_tools | the LatexilaBuildToolsPersonal instance. |
tool_num | the build tool position in the list. |

### latexila_build_tools_personal_move_down ()

    void
    latexila_build_tools_personal_move_down
                                   (LatexilaBuildToolsPersonal *build_tools,
                                    guint tool_num);

Move a build tool down. The first build tool is at the top.

#### Parameters

build_tools | the LatexilaBuildToolsPersonal instance. |
tool_num | the build tool position in the list. |

### latexila_build_tools_personal_delete ()

    void
    latexila_build_tools_personal_delete (LatexilaBuildToolsPersonal *build_tools,
                                          guint tool_num);

Deletes a build tool.

#### Parameters

build_tools | the LatexilaBuildToolsPersonal instance. |
tool_num | the build tool position in the list. |

### latexila_build_tools_personal_add ()

    void
    latexila_build_tools_personal_add (LatexilaBuildToolsPersonal *build_tools,
                                       LatexilaBuildTool *new_build_tool);

Append the new build tool at the end of the list.

#### Parameters

build_tools | the LatexilaBuildToolsPersonal instance. |
new_build_tool | the new build tool object. |

### latexila_build_tools_personal_insert ()

    void
    latexila_build_tools_personal_insert (LatexilaBuildToolsPersonal *build_tools,
                                          LatexilaBuildTool *new_build_tool,
                                          guint position);

Inserts a new build tool at a given position.

#### Parameters

build_tools | the LatexilaBuildToolsPersonal instance. |
new_build_tool | the new build tool object. |
position | the position in the list where to insert the new build tool. |

### latexila_build_tools_personal_replace ()

    void
    latexila_build_tools_personal_replace (LatexilaBuildToolsPersonal *build_tools,
                                           LatexilaBuildTool *new_build_tool,
                                           guint position);

Replaces a build tool.

#### Parameters

build_tools | the LatexilaBuildToolsPersonal instance. |
new_build_tool | the new build tool object. |
position | the position in the list where to replace the build tool. The old build tool located at `position` will be unreffed. |

## Types and Values

### LatexilaBuildToolsPersonal

    typedef struct _LatexilaBuildToolsPersonal LatexilaBuildToolsPersonal;